<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start">
			<ion-button (click)="this.commonMethodsTs.toPage_AdminDashboard()">
				<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
			</ion-button>
		</ion-buttons>
		<ion-searchbar class="search-bar" placeholder="Tìm kiếm..." [(ngModel)]="this.search.tuKhoaTimKiem"
			(keyup.enter)="loadData()" (ionClear)="removeTuKhoaTimKiem()"></ion-searchbar>
	</ion-toolbar>
	<dailyxe-ion-search class="filter-header" type="basic" [options]="{trangThai:false, osName:true}"
		[(ngModel)]="this.search" (onChange)="loadData()">
	</dailyxe-ion-search>
</ion-header>
<ion-content color="light" fullscreen>
	<ion-grid fixed class="ion-no-padding">
		<div class="box box-card">
			<div class="box-body-card">
				<ion-item>
					<ion-row class="webkit-fill-available">
						<ion-col size="4">
							<h3 class="box-item-title text-bold">
								OS
							</h3>
						</ion-col>
						<ion-col size="4">
							<h3 class="box-item-title text-bold">
								Version
							</h3>
						</ion-col>
						<ion-col size="4">
							<h3 class="box-item-title text-bold">
								Total
							</h3>
						</ion-col>
					</ion-row>
				</ion-item>
				<ion-list class="raovat-list" *ngIf="data" [@animationList]="data && data.length >= 0">
					<ion-item class="raovat-item" *ngFor="let item of data">
						<div class="raovat-box">
							<ion-col size="4">
								{{ this.commonMethodsTs.getData(item, 'OsName', this.lbl.noneUpdate) }}
							</ion-col>
							<ion-col size="4">
								<ion-icon name="logo-buffer" color="secondary"></ion-icon>
								{{ this.commonMethodsTs.getData(item, 'Version', this.lbl.noneUpdate) }}
							</ion-col>
							<ion-col size="4">
								<ion-icon name="stats" color="primary"></ion-icon>
								{{ this.commonMethodsTs.getData(item, 'Installation', this.lbl.noneUpdate) }}
							</ion-col>
						</div>
					</ion-item>
					<ion-item class="ion-paddingraovat-item emptymessage" *ngIf="data.length == 0">
						Không tìm thấy dữ liệu
					</ion-item>

				</ion-list>
				<ion-infinite-scroll 
					(ionInfinite)="doInfinite($event)">
					<ion-infinite-scroll-content></ion-infinite-scroll-content>
				</ion-infinite-scroll>
			</div>
		</div>
	</ion-grid>
</ion-content>